#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - libelf0-dev preinstallation
#
# Creation   :  2018-01-07 holbru
# Last update:  $Id: preinstall.sh 86864 2021-06-11 20:00:45Z hbfl $
#
# Copyright (c) 2018-2023 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=libelf0-dev

# ---------------------------------------------------------------------------
# update system
# ---------------------------------------------------------------------------
# conflict with dev package
installed=$(eisman check libelf1-dev)

if [ "${installed}" != "not-installed" ]
then
    rm -f /var/install/deinstall/libelf1-dev
    eisman uninstall --auto --force libelf1-dev
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
